'use strict';

angular.module('adf.structures.electre', ['adf'])
.config(
    [
        'dashboardProvider',
        function (dashboardProvider) {
            dashboardProvider
            .structure('2 col (6-6)', {
                rows : [{
                    columns : [{
                        styleClass : 'col-md-6'
                    },{
                        styleClass : 'col-md-6'
                    }]
                }]
            })
            .structure('3 col (4-4-4)', {
                rows : [{
                    columns : [{
                        styleClass : 'col-md-4'
                    },{
                        styleClass : 'col-md-4'
                    },{
                        styleClass : 'col-md-4'
                    },]
                }]
            })
            .structure('3 col (3-6-3)', {
                rows : [{
                    columns : [{
                        styleClass : 'col-md-3'
                    },{
                        styleClass : 'col-md-6'
                    },{
                        styleClass : 'col-md-3'
                    }]
                }]
            })
            .structure('4 Columns (3-3-3-3)',
                {
                    rows: [{
                        columns: [{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        }]
                    }]
                }
            ).structure('5 col (2-2-4-2-2)', {
                rows : [{
                    columns : [{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-4'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    }]
                }]
            })
            .structure('6 col (2-2-2-2-2-2)', {
                rows : [{
                    columns : [{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    },{
                        styleClass : 'col-md-2'
                    }]
                }]
            });
        }
    ]
);