'use strict';

angular.module('adf.widget.electre.lavoisier')
.value('renderingTextList',{
    defaultRendering : 'txt',
    renderings : [
        'txt',
        'csv',
        'json',
        'jsonml',
        'ldif',
        'sql',
        'xml'

        //DEVELOPPEUR
//        'rowcol'
    ]
})
.controller('lavoisierTextEditCtrl',
    [
        '$scope', 'config', '$controller', 'domService', 'renderingFactory', 'renderingTextList',
        function ($scope, config, $controller, domService, renderingFactory, renderingTextList) {
            $controller('lavoisierBaseEditCtrl',
                {
                    $scope : $scope,
                    config : config
                }
            );
            config.fontSize = config.fontSize || "14";

            renderingFactory.createRenderingDomFromArray(renderingTextList, angular.element(document.getElementById('edit_form_div_lavoisier')), config);

            var div = domService.createElement("div").setAttribute('class', "form-group").getDom();
            var label = domService.createElement("label").setAttribute('for', "text-edit-font-size").getDom();
            label.innerHTML = "Font Size";
            var select = domService.createElement("select")
                .setAttribute('id', "text-edit-font-size")
                .setAttribute('class', "form-control")
                .setAttribute('ng-model', "config.fontSize")
                .getDom();
            for (var o = 1 ; o <= 8 ; o++) {
            var font_size_value = (6 + (o * 2));
                var option = domService.createElement("option").setAttribute('value', font_size_value).getDom();
                option.innerHTML = font_size_value;
                select.appendChild(option);
            }

            div.appendChild(label); div.appendChild(select);
            angular.element(document.getElementById('edit_form_div_lavoisier')).append(div);
        }
    ]
);